# DATASUS Angular

## Commons

Pacote `@datasus/commons`.

## CHANGELOG

### 1.0.3

- Adicionado o _pipe_ `urlDownloadAssinatura$`, para atender a assinatura digital (talvez temporário).

#### 1.0.2

- Efetuando merge entre `CHANGELOG` e `README`.

### 1.0.1

- Só para deixar o _registry_ ok.

### 1.0.0

- Fechando a versão 1.

### 1.0.0-alpha.50

- Estilo da lista dos itens do RELEASE NOTES.

### 1.0.0-alpha.49

- Voltando o _get out_ do _Forbidden_.

### 1.0.0-alpha.48

- Alterado de _get out_ para _go to home_ do _Forbidden_.

### 1.0.0-alpha.47

- Correção do _get out_ do _Forbidden_.

### 1.0.0-alpha.46

- Melhorado comportamento do componente `Forbidden` quando o usuário não estiver logado.

### 1.0.0-alpha.45

- Ajustado erro no _parse_ do _date adapter_;
- Melhorado comportamento do componente `Forbidden` quando o usuário não estiver logado.

### 1.0.0-alpha.44

- Retornando lista clonada quando o filtro no _pipe_ filter vier vazio.

### 1.0.0-alpha.43

- Removendo `console.log()` de _pipe_ filter.

### 1.0.0-alpha.42

- Formatos das datas.

### 1.0.0-alpha.41

- Inclusão de _tooltip_ em _dynamic actions_;
- Elaboração de _pipes_ (_normalize_ e _filter_) comum para `ngFor`.

### 1.0.0-alpha.40

- Margem em baixo do _container_ do _release notes_.

### 1.0.0-alpha.39

- Customizando o _layout_ do _release notes_ para o _mobile_.

### 1.0.0-alpha.38

- Inclusão de componente para render de markdown.

### 1.0.0-alpha.37

- Organizado as guardas padrões para retornar uma lista de guardas.

### 1.0.0-alpha.36

- Introduzida a guarda de rota `PathGuard` nas guardas padrões.

### 1.0.0-alpha.35

- Adicionado o _pipe_ `datasusUrlDownloadPublic$`, para atender um singelo felino temporário.

### 1.0.0-alpha.34

- Correção boba na referencia do `ActionConfig`.

### 1.0.0-alpha.33

- Inclusão dos componentes `<datasus-dynamic-actions />`, `<datasus-dynamic-table />:` e `<expandable-table />` e suas respectivas interfaces.

### 1.0.0-alpha.32

- Colocado o _export_ do _pipe_ `ConfigPipe`: `datasusConfig$`.

### 1.0.0-alpha.31

- Adiciondo os _exports_ dos _pipes_.

### 1.0.0-alpha.30

- Colocado para mostrar um HTML para o compenente _welcome_. Ajustar a propriedade em `CommonsModule.forRoot({ welcomeHtml: '...' })` ao incluir o módulo.

### 1.0.0-alpha.29

- Adicionado o _pipe_ `datasusConfig$` que retorna um _observable_ com o valor da propriedade passada;
- Marcado como **deprecated** o _pipe_ `datasusUrlDownload`. Usar `datasusUrlDownload$` no lugar;
- Colocado para mostrar uma mensagem de boas vindas para o compenente _welcome_. Ajustar a propriedade em `CommonsModule.forRoot({ welcomeText: '...' })` ao incluir o módulo.

### 1.0.0-alpha.28

- Adicionado o `datasusSafeStyle`.

### 1.0.0-alpha.27

- Deixando a largura do `<datasus-fab-extended />` dinâmica.

### 1.0.0-alpha.26

- Adicionado o `<datasus-fab-extended />`.

### 1.0.0-alpha.25

- Chamando o método novo `SecurityService.chooseProfileAndNavigate()`.

### 1.0.0-alpha.24

- Removendo os textos da tela de boas vindas.

### 1.0.0-alpha.23

- Adicionado os _Pipes_ safes de URL e HTML.

### 1.0.0-alpha.22

- URL de retorno após escolher perfil/esfera.

### 1.0.0-alpha.21

- Adicionado o _Pipe_ `datasusUrlDownload` que recebe o ID e retorna um `Observable<string>` com a URL da API de Arquivo para _download_.

### 1.0.0-alpha.20

- Adicionado o LEIA-ME.

### 1.0.0-alpha.19

- Ajustes na tela de seleção de perfil/esfera;
- Colocada a opção de _logout_ na tela de sem permissão.

### 1.0.0-alpha.18

- Registrando o _locale_ para os pipes, diacordo com o [guia do Angular](https://angular.io/guide/i18n#i18n-pipes).

### 1.0.0-alpha.17

- Aleteração dos _locales_ para `'pt'`, atendendo o [guia do Angular](https://angular.io/guide/i18n#setting-up-the-locale-of-your-app).

### 1.0.0-alpha.16

- Setando o `LOCALE_ID` para `'pt-BR'`.

### 1.0.0-alpha.15

- Internacionalização nos componentes do Angular Material: _Paginator_, _Datepicker_, _Sort header_ e _Stepper_.

### 1.0.0-alpha.14

- Página não encontrada sem layout.
- Tamanho dos boxes dos componentes de erro e de página não encontrada.

### 1.0.0-alpha.13

- Reconfigurada as opções de cor/animação nas rotas.

### 1.0.0-alpha.12

- Alterada a tela de escolha de perfil/esfera, para exibir o nome do usuário e o perfil e esfera atuais.

### 1.0.0-alpha.11

- Implementada a tela de escolha de perfil/esfera.

### 1.0.0-alpha.10

- Setando as animações nas telas padrões.

### 1.0.0-alpha.9

- Removendo as `"peerDependencies"` do `package.json`.

### 1.0.0-alpha.8

- Trocando a cor do loader da tela de erro de comunicação.

### 1.0.0-alpha.7

- Traocando a versão dos pacotes do `@datasus` para tirar o _warning_.

### 1.0.0-alpha.6

- Desligando o layout na tela de erro de comunicação.

### 1.0.0-alpha.5

- Expondo a tela de página não encontrada.

### 1.0.0-alpha.4

- Fechando a tela de erro de comunicação e de sem permissão.

### 1.0.0-alpha.3

- Disponibilizando os assets;
- Deixando a tela de erro recebendo o titulo via rota.

### 1.0.0-alpha.2

- Criado a tela de erro genérica padrão.

### 1.0.0-alpha.1

- Recebendo do `@datasus/core`, como ponta pé inicial, os itens: `routesDefault`, `NotFoundComponent`, `WelcomeComponent` e `LocalStorage`.


