# DATASUS Angular

## Forms

Pacote `@datasus/forms`.

## CHANGELOG

### 1.0.10

- Teste de _publish_.

### 1.0.9

- Correção de _bugs_ da diretiva `datasusDateMask`.

### 1.0.8

- Tratando no OnChange a lista que vai para o `SelectAutocompleteComponente`.

### 1.0.7

- Correção do JIRA [#MS-1424](https://jira.cast.com.br/browse/MS-1424), referente ao comportamento do `SelectAutocompleteComponente` de ordenação.

### 1.0.6

- Correção do JIRA [#MS-1424](https://jira.cast.com.br/browse/MS-1424), referente ao comportamento do `SelectAutocompleteComponente` de ordenação.

### 1.0.5

- Correção do JIRA [#MS-1424](https://jira.cast.com.br/browse/MS-1424), referente ao comportamento do `SelectAutocompleteComponente` de ordenação.

### 1.0.4

- Correção de retorno do objeto de validação no `FormValidators.maxLength`;
- Correção de retorno do objeto de validação no `FormValidators.minLength`;
- Efetuando merge entre `CHANGELOG` e `README`.

### 1.0.3

- Adicionado o `FormValidators.maxLength`;
- Adicionado o `FormValidators.minLength`.


### 1.0.2

- Adicionado o `FormValidators.cpfCnpj`.

### 1.0.1

- Só para deixar o _registry_ ok.

### 1.0.0

- Fechando a versão 1;
- Disponibilizando a separação de `<datasus-select-autocomplete />` e`<datasus-select-autocomplete-multiply />`.

### 1.0.0-alpha.20

- Corringido pequeno defeito em visualização, componente não se comportava como espera com outros elemento ao lado `SelectAutocompleteComponent`.

### 1.0.0-alpha.19

- Inclusão de `CustomErrorStateMatcher`.
- Corringido erro de validação do qual não mudava a cor, inclusão de loading remoção de códigos desnecessários `SelectAutocompleteComponent`.

### 1.0.0-alpha.18

- Corringido erro ao setar valor (não alterava a label de option) em formulário do `SelectAutocompleteComponent`.

### 1.0.0-alpha.17

- Adicionando tooltip em option do `SelectAutocompleteComponent`.

### 1.0.0-alpha.16

- Correção de erro em fake option e recebimento de valores tantoS via form, quanto ngModel `SelectAutocompleteComponent`.

### 1.0.0-alpha.15

- Correção de erro em fake option de valor não esperado em `SelectAutocompleteComponent`.

### 1.0.0-alpha.14

- Correção de erro de deixar tudo em branco e inclusão de opção label em `SelectAutocompleteComponent`.

### 1.0.0-alpha.13

- Arrumado o retorno do validador de CNPJ.

### 1.0.0-alpha.12

- Adicionando debounce em filter de autocomplete em `SelectAutocompleteComponent`.

### 1.0.0-alpha.11

- Corrigindo filter de autocomplete em `SelectAutocompleteComponent`.

### 1.0.0-alpha.10

- Adicionando nova condição em value do `SelectAutocompleteComponent`.

### 1.0.0-alpha.9

- Inclusão de mais atributos 
`required`,
`compareWith`, 
`openedChange`,
`errorStateMatcher`
e correção em filtro de pesquisa do `SelectAutocompleteComponent`.

### 1.0.0-alpha.8

- Remoção de foreach em `SelectAutocompleteComponent`.

### 1.0.0-alpha.7

- Adicionado o `SelectAutocompleteComponent`.

### 1.0.0-alpha.6

- Adicionado a `DateMaskDirective`.

### 1.0.0-alpha.5

- Adicionado o LEIA-ME.

### 1.0.0-alpha.4

- Colocando o FormValidator.requiredIf na jogada.

### 1.0.0-alpha.3

- Deixando os form validators dentro de uma classe só.

### 1.0.0-alpha.2

- Adicionado os _Validadors_ de CNS, CPF e CNPJ.

### 1.0.0-alpha.1

- Ponta pé inicial.


