import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'datasus-footer',
  templateUrl: './footer.component.html',
  styleUrls: ['./footer.component.scss']
})
export class FooterComponent implements OnInit {

  supportList: {
    label: string,
    linkText: string,
    linkHref: string,
  }[] = [];

  ngOnInit(): void {
    this.supportList.push({
      label: 'E-mail',
      linkHref: 'mailto:suporte.sistemas@datasus.gov.br',
      linkText: 'suporte.sistemas@datasus.gov.br',
    });
    this.supportList.push({
      label: 'Fale Conosco',
      linkHref: 'http://datasus.saude.gov.br/fale-conosco',
      linkText: 'http://datasus.saude.gov.br/fale-conosco',
    });
  }

}
