import { SwitchSlashToDashPipe } from './switch-slash-to-dash.pipe';

describe('SwitchSlashToDashPipe', () => {

  let pipe: SwitchSlashToDashPipe;

  beforeEach(() => {
      pipe = new SwitchSlashToDashPipe();
  });

  it('Instancia o pipe', () => expect(pipe).toBeTruthy());

  it('Retorna a atuação da esfera tratada', () => expect(
      pipe.transform('BRASIL/DISTRITO FEDERAL/BRASILIA/')
    ).toEqual(
      'BRASIL - DISTRITO FEDERAL - BRASILIA'
    )
  );

  it('Retorna só uma atuação', () => expect(pipe.transform('ABC/')).toEqual('ABC'));

  it('Retorna vazio se mandar `null`', () => expect(pipe.transform(null)).toEqual(''));
  it('Retorna vazio se mandar `undefined`', () => expect(pipe.transform(undefined)).toEqual(''));
  it('Retorna vazio se mandar `\'\'`', () => expect(pipe.transform('')).toEqual(''));
});
