import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { MatCardModule } from '@angular/material/card';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';

import { NotFoundComponent } from './not-found.component';

@NgModule({
  imports: [
    RouterModule,
    MatCardModule,
    MatButtonModule,
    MatIconModule,
  ],
  exports: [
    NotFoundComponent,
  ],
  declarations: [
    NotFoundComponent,
  ],
})
export class NotFoundModule { }
