﻿---ALTERADO NOME DA SEQUENCE;
---ALTERADO NOME DE PK
--ALTERADO COMENTARIO DOS CAMPOS QUE SÃO CARREGADOS PELA SEQUENCE
--CRIADO COMENTARIOS de todas as TABELAS
--ALTERADO NOMES DAS FKs

-- CREATE SEQUENCE dbscodes.sq_uf;
--SEQUENCE NÃO CRIADA, POIS A PK DA TABELA E sq_uf E NÃO INCREMENTAL

--dbscodes.tb_cidade - alterado campo de nu_ibge_cidade para co_ibge_cidade

--ALTERADO CAMPO DA FK PARA co_seq_drs;
 --ALTER TABLE dbscodes.cidade ADD CONSTRAINT fk_drs_cidadedrs FOREIGN KEY (co_drs)
	  --REFERENCES dbscodes.tb_drs (co_drs); 
	  
--ALTERADO NA tb_unidade_dispensadora DO DATATYPE DO CAMPO st_localidade character DE  boolean NOT NULL DEFAULT false PARA varying(2 BYTE),conforme comentario
--CRIAR CHECK CONSTRAITs PARA OS TODOS OS CAMPOS DE ST_


---CREATE SEQUENCE dbscodes.sq_usuario_local;
--SEQUENCE NÃO CRIADA, POIS  O CAMPO PK DA TABELA CO_USUARIO VEM DA TABELA TB_USUARIO


-----ALTERADO CAMPO DA FK PARA co_seq_cidade;

 -- ALTER TABLE dbscodes.tb_unidade_organizacional ADD CONSTRAINT fk_cidade_unidadeorganiza FOREIGN KEY (co_cidade)
--	  REFERENCES dbscodes.tb_cidade (co_cidade);

--------------------------------------------------------
--  DDL for Table tb_tipo_profissao
--------------------------------------------------------
  CREATE SEQUENCE dbscodes.sq_tipoprofissao_coseqtipoprof;

  CREATE TABLE dbscodes.tb_tipo_profissao 
   (	co_seq_tipo_profissao bigint NOT NULL DEFAULT nextval('dbscodes.sq_tipoprofissao_coseqtipoprof'::regclass), 
	ds_conselho character varying(10), 
	ds_descricao character varying(50) NOT NULL,
	CONSTRAINT pk_tipoprofissao PRIMARY KEY (co_seq_tipo_profissao));
   COMMENT ON TABLE dbscodes.tb_tipo_profissao IS 'Armazena dados dos tipos de profissão.';
   COMMENT ON COLUMN dbscodes.tb_tipo_profissao.co_seq_tipo_profissao IS 'Codigo de identificação de Tipo de Profissao, incrementado pela sequence sq_tipoprofissao_coseqtipoprof';
   COMMENT ON COLUMN dbscodes.tb_tipo_profissao.ds_conselho IS 'Tipo de conselho Ex: CRM, CRO';
   COMMENT ON COLUMN dbscodes.tb_tipo_profissao.ds_descricao IS 'Descrição de profissao';

--------------------------------------------------------
--  DDL for Table DRS
--------------------------------------------------------
  CREATE SEQUENCE dbscodes.sq_drs_coseqdrs;

  CREATE TABLE dbscodes.tb_drs 
   (	co_seq_drs bigint NOT NULL DEFAULT nextval('dbscodes.sq_drs_coseqdrs'::regclass), 
	ds_drs character varying(80) NOT NULL, 
	nu_ordem_drs bigint NOT NULL, 
	nu_drs bigint NOT NULL,
	CONSTRAINT pk_drs PRIMARY KEY (co_seq_drs)   );
COMMENT ON TABLE dbscodes.tb_drs IS 'Armazena dados do Departamento Regional de Saude.';
    COMMENT ON COLUMN dbscodes.tb_drs.co_seq_drs IS 'Codigo de Identificação do Departamento Regional de Saude, incrementado pela sequence sq_drs_coseqdrs';
   COMMENT ON COLUMN dbscodes.tb_drs.ds_drs IS 'Descrição da DRS';
   COMMENT ON COLUMN dbscodes.tb_drs.nu_ordem_drs IS 'Ordem de apareceimento da DRS';
   COMMENT ON COLUMN dbscodes.tb_drs.nu_drs IS 'Codigo da DRS';

--------------------------------------------------------
--  DDL for Table UF
--------------------------------------------------------
 -- CREATE SEQUENCE dbscodes.sq_uf;
  
  CREATE TABLE dbscodes.tb_uf 
   (sg_uf character varying(2) NOT NULL, 
	ds_uf character varying(50) NOT NULL,
	CONSTRAINT pk_uf PRIMARY KEY (sg_uf)   );
COMMENT ON TABLE dbscodes.tb_uf IS 'Armazena dados da UF.';
   COMMENT ON COLUMN dbscodes.tb_uf.sg_uf IS 'Sigla da UF';
   COMMENT ON COLUMN dbscodes.tb_uf.ds_uf IS 'Descrição da UF';

--------------------------------------------------------
--  DDL for Table CIDADE
--------------------------------------------------------
CREATE SEQUENCE dbscodes.sq_cidade_coseqcidade;

  CREATE TABLE dbscodes.tb_cidade 
   (	co_seq_cidade bigint NOT NULL DEFAULT nextval('dbscodes.sq_cidade_coseqcidade'::regclass), 
	ds_cidade character varying(80) NOT NULL, 
	sg_uf character varying(2) NOT NULL, 
	co_drs bigint, 
	co_ibge_cidade bigint NOT NULL, 
	CONSTRAINT pk_cidade PRIMARY KEY (co_seq_cidade)
	
   );
COMMENT ON TABLE dbscodes.tb_cidade IS 'Armazena dados das cidades.';
   COMMENT ON COLUMN dbscodes.tb_cidade.co_seq_cidade IS 'Codigo de identificac?o de Cidade, incrementado pela sequence sq_cidade_coseqcidade';
   COMMENT ON COLUMN dbscodes.tb_cidade.ds_cidade IS 'Descrição da cidade';
   COMMENT ON COLUMN dbscodes.tb_cidade.sg_uf IS 'Sigla da UF';
   COMMENT ON COLUMN dbscodes.tb_cidade.co_drs IS 'Codigo de Identificação do Departamento Regional de Saude';
   COMMENT ON COLUMN dbscodes.tb_cidade.co_ibge_cidade IS 'Codigo do IBGE para identificação de Cidade';

--------------------------------------------------------
--  Ref Constraints for Table CIDADE
--------------------------------------------------------

  ALTER TABLE dbscodes.tb_cidade ADD CONSTRAINT fk_uf_cidade FOREIGN KEY (sg_uf)
	  REFERENCES dbscodes.tb_uf (sg_uf);
 
 
 ALTER TABLE dbscodes.tb_cidade ADD CONSTRAINT fk_drs_cidade FOREIGN KEY (co_drs)
	  REFERENCES dbscodes.tb_drs (co_seq_drs); 

   
   --------------------------------------------------------
--  DDL for Table tb_unidade_organizacional
--------------------------------------------------------
CREATE SEQUENCE dbscodes.sq_unidorganiza_cosequnidorganiza;

  CREATE TABLE dbscodes.tb_unidade_organizacional 
   (	co_seq_unidade_organizacional bigint NOT NULL DEFAULT nextval('dbscodes.sq_unidorganiza_cosequnidorganiza'::regclass), 
	ds_unidade_organizacional character varying(50) NOT NULL, 
	no_remetente character varying(80), 
	ds_cep character varying(10), 
	ds_logradouro character varying(100), 
	ds_numero character varying(5), 
	ds_bairro character varying(30), 
	ds_complemento character varying(30), 
	ds_email character varying(80), 
	co_cidade bigint, 
	st_telegrama boolean NOT NULL DEFAULT false,
	CONSTRAINT ck_unidaorganiza_sttelegrama CHECK (st_telegrama::text = 'true'::text OR st_telegrama::text = 'false'::text),	
	co_unidade_organizacional_pai bigint, 
	st_status boolean NOT NULL DEFAULT false, 
	CONSTRAINT ck_unidaorganiza_ststatus CHECK (st_status::text = 'true'::text OR st_status::text = 'false'::text),
	co_sessp bigint NOT NULL, 
	ds_email_adm character varying(80 BYTE),
	CONSTRAINT pk_unidadeorganizacional PRIMARY KEY (co_seq_unidade_organizacional)
   );
COMMENT ON TABLE dbscodes.tb_unidade_organizacional IS 'Armazena dados da Unidade Dispensadora.';
   COMMENT ON COLUMN dbscodes.tb_unidade_organizacional.co_seq_unidade_organizacional IS 'Codigo de Identifição da Unidade Dispensadora, incrementado pela sequence sq_unidorganiza_cosequnidorganiza';
   COMMENT ON COLUMN dbscodes.tb_unidade_organizacional.ds_unidade_organizacional IS 'Descrição da Unidade organizacional';
   COMMENT ON COLUMN dbscodes.tb_unidade_organizacional.no_remetente IS 'Rementente Unidade Organizacional';
   COMMENT ON COLUMN dbscodes.tb_unidade_organizacional.ds_cep IS 'CEP Unidade Organizacional';
   COMMENT ON COLUMN dbscodes.tb_unidade_organizacional.ds_logradouro IS 'Logradouro';
   COMMENT ON COLUMN dbscodes.tb_unidade_organizacional.ds_numero IS 'Numero de endereço';
   COMMENT ON COLUMN dbscodes.tb_unidade_organizacional.ds_bairro IS 'Bairro do endereço';
   COMMENT ON COLUMN dbscodes.tb_unidade_organizacional.ds_complemento IS 'Complemento do endereço';
   COMMENT ON COLUMN dbscodes.tb_unidade_organizacional.ds_email IS 'Email da unidade organizacional';
   COMMENT ON COLUMN dbscodes.tb_unidade_organizacional.co_cidade IS 'Codigo da cidade da unidade organizacional';
   COMMENT ON COLUMN dbscodes.tb_unidade_organizacional.st_telegrama IS 'Flag que indica se a unidade organizacional aceita receber telegrama';
   COMMENT ON COLUMN dbscodes.tb_unidade_organizacional.co_unidade_organizacional_pai IS 'Unidade pai da unidade organizacional, auto-rrelacionamento.';
   COMMENT ON COLUMN dbscodes.tb_unidade_organizacional.st_status IS 'Situação da Unidade Dispensadora';
   COMMENT ON COLUMN dbscodes.tb_unidade_organizacional.co_sessp IS 'Codigo do SESSP';
   COMMENT ON COLUMN dbscodes.tb_unidade_organizacional.ds_email_adm IS 'Email administração';
--------------------------------------------------------
-- TODO: Verificar inclusão da trigger --> TG_BD_UNIDADE_ORGANIZACIONAL
--------------------------------------------------------

--  Ref Constraints for Table UNIDADE_ORGANIZACIONAL
--------------------------------------------------------

  ALTER TABLE dbscodes.tb_unidade_organizacional ADD CONSTRAINT fk_cidade_unidadeorganiza FOREIGN KEY (co_cidade)
	  REFERENCES dbscodes.tb_cidade (co_seq_cidade);
	  
  ALTER TABLE dbscodes.tb_unidade_organizacional ADD CONSTRAINT fk_unidadeorganiza_unidadeorgpai FOREIGN KEY (co_unidade_organizacional_pai)
	  REFERENCES dbscodes.tb_unidade_organizacional (co_seq_unidade_organizacional);

	  
--------------------------------------------------------
--  DDL for Table UNIDADE_DISPENSADORA
--------------------------------------------------------
CREATE SEQUENCE dbscodes.sq_uniddispensa_cosequniddispensa;

  CREATE TABLE dbscodes.tb_unidade_dispensadora 
   (	co_seq_unidade_dispensadora bigint NOT NULL DEFAULT nextval('dbscodes.sq_uniddispensa_cosequniddispensa'::regclass), 
	ds_descricao character varying(80) NOT NULL, 
	nu_capacidade bigint NOT NULL, 
	st_estoque boolean NOT NULL DEFAULT false, 
	CONSTRAINT ck_uniddispensa_stestoque CHECK (st_estoque::text = 'true'::text OR st_estoque::text = 'false'::text),
	st_status boolean NOT NULL DEFAULT false, 
	CONSTRAINT ck_uniddispensa_ststatus CHECK (st_status::text = 'true'::text OR st_status::text = 'false'::text),
	st_localidade character varying(1 BYTE),
	CONSTRAINT ck_uniddispensa_stlocalidade CHECK (st_localidade::text = 'C'::text OR st_localidade::text = 'I'::text OR st_localidade::text = 'P'::text),
	CONSTRAINT pk_unidade_dispensadora PRIMARY KEY (co_seq_unidade_dispensadora)
   );
COMMENT ON TABLE dbscodes.tb_unidade_dispensadora IS 'Armazena dados da Unidade Dispensadora.';
   COMMENT ON COLUMN dbscodes.tb_unidade_dispensadora.co_seq_unidade_dispensadora IS 'Codigo de Identifição da Unidade Dispensadora, incrementado pela sequence sq_uniddispensa_cosequniddispensa';
   COMMENT ON COLUMN dbscodes.tb_unidade_dispensadora.ds_descricao IS 'Descrição da Unidade Dispensadora';
   COMMENT ON COLUMN dbscodes.tb_unidade_dispensadora.nu_capacidade IS 'Capacidade da Unidade Dispensadora';
   COMMENT ON COLUMN dbscodes.tb_unidade_dispensadora.st_estoque IS 'Indica se Unidade Dispensadora possui estoque';
   COMMENT ON COLUMN dbscodes.tb_unidade_dispensadora.st_status IS 'Indica o status da Unidade Dispensadora';
   COMMENT ON COLUMN dbscodes.tb_unidade_dispensadora.st_localidade IS 'C - Capital, I - Interior, P - Prefeitura';

--------------------------------------------------------
--  TODO: Verificar trigger --> DDL for Trigger TG_AI_UNIDADE_DISPENSADORA
--------------------------------------------------------


--------------------------------------------------------
--  DDL for Table tb_usuario_local
--------------------------------------------------------
---CREATE SEQUENCE dbscodes.sq_usuario_local;
--SEQUENCE NÃO CRIADA, POIS  O CAMPO PK DA TABELA CO_USUARIO VEM DA TABELA TB_USUARIO

  CREATE TABLE dbscodes.tb_usuario_local 
   (co_usuario bigint NOT NULL , 
	no_usuario character varying(100), 
	nu_telefone character varying(15), 
	co_tipo_profissao bigint, 
	nu_conselho character varying(15), 
	co_unidade_organizacional bigint, 
	co_unidade_dispensadora bigint, 
	co_perfil bigint,
	CONSTRAINT pk_usuariolocal PRIMARY KEY (co_usuario)
   );
COMMENT ON TABLE  dbscodes.tb_usuario_local IS 'Armazena dados detalhados sobre o usuario';
COMMENT ON COLUMN dbscodes.tb_usuario_local.co_usuario IS 'Codigo de Identificacão dos detalhes sobre o usuario. Chave estrangeira da TB_USUARIO.CO_SEQ_USUARIO';
COMMENT ON COLUMN dbscodes.tb_usuario_local.no_usuario IS 'Nome do usuário';
COMMENT ON COLUMN dbscodes.tb_usuario_local.nu_telefone IS 'Telefone do usuário';
COMMENT ON COLUMN dbscodes.tb_usuario_local.co_tipo_profissao IS 'Chave estrangeira para a tabela  dbscodes.tb_tipo_profissao';
COMMENT ON COLUMN dbscodes.tb_usuario_local.nu_conselho IS 'Numero do conselho';
COMMENT ON COLUMN dbscodes.tb_usuario_local.co_unidade_organizacional IS 'Chave estrangeira para a tabela  dbscodes.tb_unidade_organizacional';
COMMENT ON COLUMN dbscodes.tb_usuario_local.co_unidade_dispensadora IS 'Chave estrangeira para a tabela  dbscodes.tb_unidade_dispensadora';
COMMENT ON COLUMN dbscodes.tb_usuario_local.co_perfil IS 'Chave estrangeira para a tabela  dbscodes.tb_perfil';

--------------------------------------------------------
--  Constraints for Table tb_usuario_local
--------------------------------------------------------

ALTER TABLE dbscodes.tb_usuario_local ADD CONSTRAINT fk_usuario_usuariolocal FOREIGN KEY(co_usuario)
    REFERENCES dbscodes.tb_usuario(co_seq_usuario);

ALTER TABLE dbscodes.tb_usuario_local ADD CONSTRAINT fk_tipoprofissao_usuariolocal FOREIGN KEY(co_tipo_profissao)
    REFERENCES dbscodes.tb_tipo_profissao(co_seq_tipo_profissao);

ALTER TABLE dbscodes.tb_usuario_local ADD CONSTRAINT fk_unidadeorg_usuariolocal FOREIGN KEY(co_unidade_organizacional)
    REFERENCES dbscodes.tb_unidade_organizacional(co_seq_unidade_organizacional);

ALTER TABLE dbscodes.tb_usuario_local ADD CONSTRAINT fk_uniddispensa_usuariolocal FOREIGN KEY(co_unidade_dispensadora)
    REFERENCES dbscodes.tb_unidade_dispensadora(co_seq_unidade_dispensadora);

ALTER TABLE dbscodes.tb_usuario_local ADD CONSTRAINT fk_perfil_usuariolocal FOREIGN KEY(co_perfil)
    REFERENCES dbscodes.tb_perfil(co_seq_perfil);
