INSERT INTO
    dbscodes.tb_tipo_demanda
    (ds_tipo_demanda)
VALUES
    ('Administrativa'),
    ('Judicial'),
    ('Jefaz'),
    ('Comissão de Farmacologia')
;

INSERT INTO
    dbscodes.tb_tipo_modelo
    (ds_tipo_modelo)
VALUES
    ('Ofício'),
    ('Relatório Técnico'),
    ('Telegrama')
;

INSERT INTO
    dbscodes.rl_tipo_demanda_tipo_modelo
    (co_tipo_demanda, co_tipo_modelo)
VALUES
    (
        (SELECT co_seq_tipo_demanda FROM dbscodes.tb_tipo_demanda WHERE ds_tipo_demanda = 'Judicial'),
        (SELECT co_seq_tipo_modelo  FROM dbscodes.tb_tipo_modelo  WHERE ds_tipo_modelo  = 'Ofício')
    ),
    (
        (SELECT co_seq_tipo_demanda FROM dbscodes.tb_tipo_demanda WHERE ds_tipo_demanda = 'Jefaz'),
        (SELECT co_seq_tipo_modelo  FROM dbscodes.tb_tipo_modelo  WHERE ds_tipo_modelo  = 'Ofício')
    ),
    (
        (SELECT co_seq_tipo_demanda FROM dbscodes.tb_tipo_demanda WHERE ds_tipo_demanda = 'Administrativa'),
        (SELECT co_seq_tipo_modelo  FROM dbscodes.tb_tipo_modelo  WHERE ds_tipo_modelo  = 'Relatório Técnico')
    ),
    (
        (SELECT co_seq_tipo_demanda FROM dbscodes.tb_tipo_demanda WHERE ds_tipo_demanda = 'Judicial'),
        (SELECT co_seq_tipo_modelo  FROM dbscodes.tb_tipo_modelo  WHERE ds_tipo_modelo  = 'Relatório Técnico')
    ),
    (
        (SELECT co_seq_tipo_demanda FROM dbscodes.tb_tipo_demanda WHERE ds_tipo_demanda = 'Comissão de Farmacologia'),
        (SELECT co_seq_tipo_modelo  FROM dbscodes.tb_tipo_modelo  WHERE ds_tipo_modelo  = 'Relatório Técnico')
    ),
    (
        (SELECT co_seq_tipo_demanda FROM dbscodes.tb_tipo_demanda WHERE ds_tipo_demanda = 'Administrativa'),
        (SELECT co_seq_tipo_modelo  FROM dbscodes.tb_tipo_modelo  WHERE ds_tipo_modelo  = 'Telegrama')
    ),
    (
        (SELECT co_seq_tipo_demanda FROM dbscodes.tb_tipo_demanda WHERE ds_tipo_demanda = 'Judicial'),
        (SELECT co_seq_tipo_modelo  FROM dbscodes.tb_tipo_modelo  WHERE ds_tipo_modelo  = 'Telegrama')
    ),
    (
        (SELECT co_seq_tipo_demanda FROM dbscodes.tb_tipo_demanda WHERE ds_tipo_demanda = 'Jefaz'),
        (SELECT co_seq_tipo_modelo  FROM dbscodes.tb_tipo_modelo  WHERE ds_tipo_modelo  = 'Telegrama')
    ),
    (
        (SELECT co_seq_tipo_demanda FROM dbscodes.tb_tipo_demanda WHERE ds_tipo_demanda = 'Comissão de Farmacologia'),
        (SELECT co_seq_tipo_modelo  FROM dbscodes.tb_tipo_modelo  WHERE ds_tipo_modelo  = 'Telegrama')
    )
;

