CREATE SEQUENCE dbscodes.sq_classcob_coseqclasscob;

CREATE TABLE dbscodes.tb_classificacao_cobranca (

    co_seq_classificacao_cobranca
        BIGINT
        DEFAULT NEXTVAL('dbscodes.sq_classcob_coseqclasscob'::REGCLASS)
        NOT NULL
        CONSTRAINT pk_tipoacao PRIMARY KEY,

    ds_classificacao_cobranca
        CHAR
        NOT NULL

);

COMMENT ON TABLE dbscodes.tb_classificacao_cobranca
    IS 'Registros de classificacao cobranca';
COMMENT ON COLUMN dbscodes.tb_classificacao_cobranca.co_seq_classificacao_cobranca
    IS 'Codigo de identificacão de classificacao cobranca, gerador pela sequence: dbscodes.sq_classcob_coseqclasscob';
COMMENT ON COLUMN dbscodes.tb_classificacao_cobranca.ds_classificacao_cobranca
    IS 'Descrição de classificação cobrança';
