package br.gov.datasus.scodes.acl.api;

import br.gov.datasus.scodes.acl.model.dto.PermissaoDTO;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

@RequestMapping(value = "/permissao")
public interface PermissaoApi {

    @GetMapping(value = "/sistema/{siglaSistema}/perfil/{siglaPerfil}", produces = MediaType.APPLICATION_JSON_VALUE)
    public ResponseEntity<PermissaoDTO> obterArvorePermissoes(@PathVariable(name = "siglaSistema") String siglaSistema,
                                                              @PathVariable(name = "siglaPerfil") String siglaPerfil);

}
