package br.gov.datasus.scodes.acl.model.mapper.acesso;

import br.gov.datasus.api.core.model.dto.acesso.EsferaAtuacaoAcessoDTO;
import br.gov.datasus.api.core.model.mapper.AtoBBaseMapper;
import br.gov.datasus.scodes.acl.model.dto.EsferaAtuacaoDTO;
import org.mapstruct.Mapper;
import org.mapstruct.ReportingPolicy;

import java.util.List;

@Mapper(componentModel = "spring", unmappedTargetPolicy = ReportingPolicy.IGNORE)
public interface EsferaAtuacaoAcessoMapper extends AtoBBaseMapper<EsferaAtuacaoDTO, EsferaAtuacaoAcessoDTO> {

	EsferaAtuacaoAcessoDTO convert(EsferaAtuacaoDTO obj);

	List<EsferaAtuacaoAcessoDTO> convert(List<EsferaAtuacaoDTO> objs);

}
