package br.gov.datasus.scodes.acl.model.mapper.acesso;

import br.gov.datasus.api.core.model.dto.acesso.FuncionalidadeAcessoDTO;
import br.gov.datasus.api.core.model.mapper.AtoBBaseMapper;
import br.gov.datasus.scodes.acl.model.dto.FuncionalidadeDTO;
import org.mapstruct.Mapper;
import org.mapstruct.ReportingPolicy;

import java.util.List;

@Mapper(componentModel = "spring", unmappedTargetPolicy = ReportingPolicy.IGNORE)
public interface FuncionalidadeAcessoMapper extends AtoBBaseMapper<FuncionalidadeDTO, FuncionalidadeAcessoDTO> {

	FuncionalidadeAcessoDTO convert(FuncionalidadeDTO obj);

	List<FuncionalidadeAcessoDTO> convert(List<FuncionalidadeDTO> objs);

}
