package br.gov.datasus.scodes.acl.model.mapper.acesso;

import br.gov.datasus.api.core.model.dto.acesso.PerfilAcessoDTO;
import br.gov.datasus.api.core.model.mapper.AtoBBaseMapper;
import br.gov.datasus.scodes.acl.model.dto.PerfilDTO;
import org.mapstruct.Mapper;
import org.mapstruct.ReportingPolicy;

import java.util.List;

@Mapper(componentModel = "spring", unmappedTargetPolicy = ReportingPolicy.IGNORE)
public interface PerfilAcessoMapper extends AtoBBaseMapper<PerfilDTO, PerfilAcessoDTO> {

	PerfilAcessoDTO convert(PerfilDTO obj);

	List<PerfilAcessoDTO> convert(List<PerfilDTO> objs);

}
