package br.gov.datasus.scodes.acl.repository;

import br.gov.datasus.api.core.dynamicquery.repository.DynamicNativeQueryRepository;
import br.gov.datasus.api.core.dynamicquery.repository.DynamicQueryRepository;
import br.gov.datasus.scodes.acl.model.entity.Esfera;
import br.gov.datasus.scodes.acl.model.entity.UsuarioPerfilEsfera;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;

public interface EsferaRepository
    extends CrudRepository<Esfera, Long>, DynamicQueryRepository, DynamicNativeQueryRepository {

    Iterable<UsuarioPerfilEsfera> obterPorUsuarioSistemaPerfil(@Param("idUsuario") Long idUsuario,
                                                               @Param("siglaSistema") String siglaSistema, @Param("siglaPerfil") String siglaPerfil);

}
