package br.gov.datasus.authorization.enums;

public enum OauthFlowEnum {
	CLIENT_CREDENTIALS("client_credentials"),
	AUTHORIZATION_CODE("authorization_code"), 
	REFRESH_TOKEN("refresh_token"),
	PASSWORD("password"), 
	IMPLICIT("implicit");

	private String flowName;

	private OauthFlowEnum(String flowName) {
		this.flowName = flowName;
	}

	public String getFlowName() {
		return this.flowName;
	}
}
