package br.gov.datasus.authorization.model.scpa;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import org.hibernate.annotations.Where;

@Entity
@Table(name = "TB_ACL_USUARIO", schema = "DBSCODES")
@Where(clause = "ST_CONFIRMADO = 'S'")
public class Usuario {

    @Id
    @Column(name = "CO_SEQ_USUARIO")
    private Long id;

    @Column(name = "CO_CPF_USUARIO")
    private String cpf;

    @Column(name = "NO_USUARIO")
    private String nome;

    @Column(name = "DS_EMAIL")
    private String email;

    @Column(name = "NU_PASSAPORTE")
    private String passaporte;

    @Column(name = "NU_CNS")
    private String numeroCns;

    @Column(name = "DS_SENHA")
    private String senha;

    @Column(name = "DS_EMAIL_SECUNDARIO")
    private String emailSecundario;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCpf() {
        return cpf;
    }

    public void setCpf(String cpf) {
        this.cpf = cpf;
    }

    public String getNome() {
        return nome;
    }

    public void setNome(String nome) {
        this.nome = nome;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getEmailSecundario() {
        return emailSecundario;
    }

    public void setEmailSecundario(String email) {
        this.emailSecundario = email;
    }

    public String getPassaporte() {
        return passaporte;
    }

    public void setPassaporte(String passaporte) {
        this.passaporte = passaporte;
    }

    public String getNumeroCns() {
        return numeroCns;
    }

    public void setNumeroCns(String numeroCns) {
        this.numeroCns = numeroCns;
    }

    public String getSenha() {
        return senha;
    }

    public void setSenha(String senha) {
        this.senha = senha;
    }

}
