package br.gov.datasus.authorization.model.scpa;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "RL_ACL_USUARIO_PERFIL", schema = "DBSCODES")
public class UsuarioPerfil {

	@Id
	@Column(name = "CO_SEQ_USUARIO_PERFIL")
	private Long id;

	@ManyToOne
	@JoinColumn(name = "CO_PERFIL")
	private Perfil perfil;

	@ManyToOne
	@JoinColumn(name = "CO_USUARIO")
	private Usuario usuario;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Perfil getPerfil() {
		return perfil;
	}

	public void setPerfil(Perfil perfil) {
		this.perfil = perfil;
	}

	public Usuario getUsuario() {
		return usuario;
	}

	public void setUsuario(Usuario usuario) {
		this.usuario = usuario;
	}

}
