package br.gov.datasus.authorization.security.oauth2.provider;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import br.gov.datasus.authorization.security.oauth2.model.Client;
import br.gov.datasus.authorization.service.AuthorizationClientScpaService;

@Service
public class ClientProvider {
	@Autowired
	private AuthorizationClientScpaService clientScpaService;

	// Orquestrar todos os clientes
	public List<Client> clients() {
		List<Client> clients = new ArrayList<>();
		// Clients do SCPA
		clients.addAll(clientScpaService.getClients());
		return clients;
	}
}
