package br.gov.datasus.scodes.controller;

import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;

@Api(tags = "Notificacao")
@RequestMapping(value = "/notificacao")
@RequiredArgsConstructor
@RestController
public class NotificacaoController {

    @ApiOperation(value = "Obter a quantidade de mensagens novas")
    @GetMapping(value = "/quantidade-mensagens-novas", produces = MediaType.APPLICATION_JSON_VALUE)
    public ResponseEntity<Long> quantidadeMensagensNovas() {
        return ResponseEntity.ok(0L);
    }

}

