package br.gov.datasus.scodes.model.dto;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

@Getter
@Setter
@NoArgsConstructor
public class CompraTrocaDTO implements Serializable {

    private static final long serialVersionUID = 1L;
    
	private Long id;

	@NotNull
	@Size(max = 30)
	private String notaEmpenho;

    @Size(max = 30)
    private String notaFiscal;

    private CompraModalidadeDTO compraModalidade;

    private FornecedorDTO fornecedor;
}
