package br.gov.datasus.scodes.model.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class LocalJefazDTO {

    private Long id;

    @NotNull
    @Size(max = 50)
    private String descricao;

    @NotNull
    private Boolean situacaoAtivo;

    @NotNull
    @Size(max = 1)
    private String tipo;

}
