package br.gov.datasus.scodes.model.dto;

import java.io.Serializable;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class ProfissionalDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @NotNull
    private Boolean status;

    @NotNull
    @Size(max = 80)
    private String nome;

    @NotNull
    private TipoProfissaoDTO tipoProfissao;

    @NotNull
    private UfDTO uf;

    @Size(max = 50)
    private String camara;

    @Size(max = 15)
    private String conselho;

    @Size(max = 100)
    private String motivo;

    @Size(max = 50)
    private String titulo;

    @Size(max = 100)
    private String email;

}
