package br.gov.datasus.scodes.model.dto;

import br.gov.datasus.scodes.model.entity.ReciboOrdemProduto;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@Getter
@Setter
public class ReciboOrdemProdutoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE)
    private Date dataRetorno;

    public ReciboOrdemProdutoDTO() { }

    public ReciboOrdemProdutoDTO(Date dataRetorno) {
        this.dataRetorno = dataRetorno;
    }
}
