package br.gov.datasus.scodes.model.dto;

import java.io.Serializable;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class RelatorioTecnicoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;
    
    @Size(max = 500)
    private String permanente;

    @Size(max = 500)
    private String provisorio;

    private Integer numeroPagina;
    
    @NotNull
    private AutorDemandaDTO autorDemanda;

}
