package br.gov.datasus.scodes.model.dto;

import java.io.Serializable;

import javax.validation.constraints.Size;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class StatusDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @Size(max = 80)
	private String descricao;

	private Integer ordem;
	
	private Integer classificacao;
	
}
