package br.gov.datasus.scodes.model.dto;

import br.gov.datasus.scodes.model.enums.TipoMovimentacaoTipoEnum;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

@Getter
@Setter
@NoArgsConstructor
public class TipoMovimentacaoDTO implements Serializable {

    private static final long serialVersionUID = 1L;
    
	private Long id;

	@NotNull
	@Size(max = 80)
	private String descricao;

    @NotNull
    private TipoMovimentacaoTipoEnum tipo;
}
