package br.gov.datasus.scodes.model.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class UnidadeOrganizacionalDTO {

    @NotNull
    private CidadeDTO cidade;

    private Long id;

    @NotNull
    private Long idSessp;

    @NotNull
    private Long idPai;

    @NotNull
    @Size(max = 30)
    private String descricaoBairro;

    @NotNull
    @Size(max = 10)
    private String descricaoCep;

    @NotNull
    @Size(max = 30)
    private String descricaoComplemento;

    @NotNull
    @Size(max = 80)
    private String descricaoEmail;

    @NotNull
    @Size(max = 80)
    private String descricaoEmailAdm;

    @NotNull
    @Size(max = 100)
    private String descricaoLogradouro;

    @NotNull
    @Size(max = 5)
    private String descricaoNumero;

    @NotNull
    @Size(max = 50)
    private String descricao;

    @NotNull
    @Size(max = 80)
    private String nomeRemetente;

    @NotNull
    private Boolean situacaoStatus;

    @NotNull
    private Boolean situacaoTelegrama;

}
