package br.gov.datasus.scodes.model.dto.filter;


import br.gov.datasus.scodes.model.enums.TipoPlanoSaudeEnum;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.Size;

@Getter
@Setter
@NoArgsConstructor
public class PlanoSaudeFilterDTO {

    @Size(max = 50)
    private String descricao;

    @Size(max = 1)
    private TipoPlanoSaudeEnum tipo;

}
