package br.gov.datasus.scodes.model.dto.filter;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import br.gov.datasus.scodes.model.dto.ProfissionalDTO;
import br.gov.datasus.scodes.model.dto.TipoProfissaoDTO;
import br.gov.datasus.scodes.model.dto.UfDTO;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class ProfissionalFilterDTO {


    private ProfissionalDTO profissional;

    @Size(max = 15)
    private String conselho;

    @NotNull
    private TipoProfissaoDTO tipoProfissao;

    private UfDTO uf;

    @Size(max = 100)
    private String email;

}
