package br.gov.datasus.scodes.model.enums;

import com.fasterxml.jackson.annotation.JsonValue;

import lombok.Getter;

public enum TipoAcaoElementoEnum {
    
    FORNECER(1,"Fornecer"),
    INCLUIR(2,"Incluir"),
    ALTERAR(3,"Alterar"),
    EXCLUIR(4,"Excluir");
    
    private TipoAcaoElementoEnum(Integer id, String descricao) {
        this.id = id;
        this.descricao = descricao;
    }

    @JsonValue
    @Getter
    private Integer id;

    @Getter
    private String descricao;
}
