package br.gov.datasus.scodes.model.enums;

import com.fasterxml.jackson.annotation.JsonValue;

import lombok.Getter;

public enum TipoDecisaoDeterminacao {
    
    VIGENTE("A","Aberta"),
    NENHUM("F","Fechada");
    
    private TipoDecisaoDeterminacao(String id, String descricao) {
        this.id = id;
        this.descricao = descricao;
    }

    @JsonValue
    @Getter
    private String id;

    @Getter
    private String descricao;
}
