package br.gov.datasus.scodes.model.enums;

import com.fasterxml.jackson.annotation.JsonValue;

import lombok.Getter;

public enum TipoStatusDeterminacaoEnum {
    
    VIGENTE("V","Vigente"),
    PENDENTE("P","Pendente"),
    SUBSTITUIDA("S","Substituida"),
    NENHUM("N","Nenhum");
    
    private TipoStatusDeterminacaoEnum(String id, String descricao) {
        this.id = id;
        this.descricao = descricao;
    }

    @JsonValue
    @Getter
    private String id;

    @Getter
    private String descricao;
}
