package br.gov.datasus.scodes.repository;

import org.springframework.data.repository.CrudRepository;

import br.gov.datasus.api.core.dynamicquery.repository.DynamicNativeQueryRepository;
import br.gov.datasus.api.core.dynamicquery.repository.DynamicQueryRepository;
import br.gov.datasus.scodes.model.entity.Demanda;

import java.util.Optional;

public interface DemandaRepository extends CrudRepository<Demanda, Long>, DynamicQueryRepository, DynamicNativeQueryRepository {

    Optional<Demanda> findByProtocoloAndProcessoAndUnidadeOrganizacionalId(String protocolo, String Processo, Long codigoUnidadeOrganizacional);
}
