package br.gov.datasus.scodes.repository;

import br.gov.datasus.scodes.model.entity.TipoControlado;

import java.util.List;
import br.gov.datasus.api.core.model.dto.DominioItemModel;
import org.springframework.data.repository.CrudRepository;
import br.gov.datasus.api.core.dynamicquery.repository.DynamicNativeQueryRepository;
import br.gov.datasus.api.core.dynamicquery.repository.DynamicQueryRepository;

public interface TipoControladoRepository extends CrudRepository<TipoControlado, Long>, DynamicQueryRepository, DynamicNativeQueryRepository {

    public List<DominioItemModel> obterDominio();
}
