package br.gov.datasus.scodes.repository;

import br.gov.datasus.scodes.model.entity.TipoDemanda;

import java.util.List;
import br.gov.datasus.api.core.model.dto.DominioItemModel;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;

import br.gov.datasus.api.core.dynamicquery.repository.DynamicNativeQueryRepository;
import br.gov.datasus.api.core.dynamicquery.repository.DynamicQueryRepository;

public interface TipoDemandaRepository extends CrudRepository<TipoDemanda, Long>, DynamicQueryRepository, DynamicNativeQueryRepository {

    public List<DominioItemModel> obterDominio();
    public List<DominioItemModel> obterDominio(@Param("idTipoModelo") Long idTipoModelo);
}
