import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

import { TipoVaraModel } from '../models/tipo-vara';
import { BaseService } from '@datasus/core';

@Injectable({
  providedIn: 'root'
})
export class TipoVaraModelService extends BaseService {

  obterDominio(id?: number): Observable<TipoVaraModel[]> {
    if (id) {
      return this.baseGet<TipoVaraModel[]>(`/tipo-vara/${id}`);
    }
    return this.baseGet<TipoVaraModel[]>('/tipo-vara/todas');
  }

}
