import { Component, Input } from '@angular/core';
import { ThemePalette } from '@angular/material';

@Component({
  selector: 'datasus-fab-extended',
  templateUrl: './fab-extended.component.html',
  styleUrls: ['./fab-extended.component.scss']
})
export class FabExtendedComponent {

  @Input() color: ThemePalette = 'primary';
  @Input() description: string;
  @Input() icon: string;
  @Input() text: string;
  @Input() showTextOnlyOnHover = false;
  @Input() showTextOnlyOnFocus = false;

}
