import { Component, OnInit } from '@angular/core';

import { LayoutService } from '@datasus/layout';

@Component({
  selector: 'datasus-not-found',
  templateUrl: './not-found.component.html',
  styleUrls: ['./not-found.component.scss'],
})
export class NotFoundComponent implements OnInit {

  constructor(
    private layoutService: LayoutService,
  ) { }

  ngOnInit(): void {
    this.layoutService.off();
    console.log('%c404', 'font-size: 1.2em; color: #f66;');
  }

}
