import { NormalizePipe } from './normalize.pipe';

describe('NormalizePipe', () => {
    let pipe: NormalizePipe;

    beforeEach(() => {
        pipe = new NormalizePipe();
    });

    it('Normalizando os textos', () => {
        expect(pipe.transform('SOSTHENES')).toEqual('sosthenes');
        expect(pipe.transform('Sósthénès')).toEqual('sosthenes');
        expect(pipe.transform('')).toEqual('');
        expect(pipe.transform(undefined)).toEqual('');
        expect(pipe.transform(null)).toEqual('');
    });
});
