/**
 * Configurações globais do layout
 */
import { MenuModel } from '../models/menu.model';


export interface LayoutConfig {
  /**
   * Exibe ou não a barra do GOV.BR
   */
  withGovBrBar: boolean;
  /**
   * Nome da aplicação
   */
  appName: string;
  /**
   * Versão da aplicação
   */
  appVersion: string;
  /**
   * Recebe menu local da aplicação. Caso não seja nulo será habilitado na aplicação
   */
  localMenu?: MenuModel[];
}
