import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'datasusFirstWord',
  pure: true,
})
export class FirstWordPipe implements PipeTransform {

  transform(value: string = ''): string {
    const text = !value ? '' : value.toString();
    const onlyOneSpace = text.replace(/\s+/gmi, ' ');
    const onlyFisrtWord = onlyOneSpace.replace(/(^[A-Za-zÀ-ÖØ-öø-ÿ]*)(\s+.*$)/gmi, '$1');
    return onlyFisrtWord;
  }

}
