export const configLoader = new Promise<any>((resolve, reject) => {
  const xhr = new XMLHttpRequest();
  xhr.open('GET', 'assets/config.json', true);
  xhr.onload = () => {
      if (xhr.status === 200) {
          resolve(JSON.parse(xhr.responseText));
      } else {
          reject();
      }
  };
  xhr.onabort = () => reject();
  xhr.onerror = () => reject();
  xhr.send();
});
