import { Component, OnInit } from '@angular/core';

import { LayoutService } from '@datasus/layout';

@Component({
  selector: 'datasus-list-without-layout',
  templateUrl: './list-without-layout.component.html',
  styleUrls: ['./list-without-layout.component.scss']
})
export class ListWithoutLayoutComponent implements OnInit {

  options: {id: number, descricao: string}[] = [];

  constructor(
    private layoutService: LayoutService,
  ) { }

  ngOnInit(): void {
    this.layoutService.off();
    this.options = Array(3000)
      .fill({ id: 0, descricao: 'TESTE - LOREN ASAFSAFSADFSDAF' })
      .map((item: any, index: number) => ({ id: index++, descricao: `${item.descricao} - ${index}` }));
  }

}
