CREATE SEQUENCE dbscodes.sq_tipoacao_coseqtipoacao;

CREATE TABLE dbscodes.tb_tipo_acao (

    co_seq_tipo_acao
        BIGINT
        DEFAULT NEXTVAL('dbscodes.sq_tipoacao_coseqtipoacao'::REGCLASS)
        NOT NULL
        CONSTRAINT pk_tipoacao PRIMARY KEY,

    ds_tipo_acao
        CHARACTER VARYING(50)
        NOT NULL

);

COMMENT ON TABLE dbscodes.tb_tipo_acao
    IS 'Registros de tipo ação';
COMMENT ON COLUMN dbscodes.tb_tipo_acao.co_seq_tipo_acao
    IS 'Codigo de identificacão de tipo ação, gerador pela sequence: dbscodes.sq_tipoacao_coseqtipoacao';
COMMENT ON COLUMN dbscodes.tb_tipo_acao.ds_tipo_acao
    IS 'Descrição de tipo ação';
