DROP TABLE dbscodes.tb_tipo_cobranca;
	
CREATE TABLE dbscodes.tb_tipo_cobranca (
    co_seq_tipo_cobranca BIGINT DEFAULT NEXTVAL('dbscodes.sq_tpcobranca_coseqtpcobranca'::REGCLASS) NOT NULL CONSTRAINT pk_tipocobranca PRIMARY KEY, 
	ds_tipo_cobranca CHARACTER VARYING(50) NOT NULL,
	st_ativo BOOLEAN NOT NULL DEFAULT false
);
COMMENT ON TABLE dbscodes.tb_tipo_cobranca
    IS 'Registros de tipo de cobrança';
COMMENT ON COLUMN dbscodes.tb_tipo_cobranca.co_seq_tipo_cobranca
    IS 'Codigo de identificacão do tipo de cobrança, gerado pela sequence: dbscodes.sq_tpcobranca_coseqtpcobranca';
COMMENT ON COLUMN dbscodes.tb_tipo_cobranca.ds_tipo_cobranca
    IS 'Descrição do tipo de cobrança';
COMMENT ON COLUMN dbscodes.tb_tipo_cobranca.st_ativo
    IS 'Situação do tipo de cobrança. False - inativo e True - ativo';