package br.gov.datasus.scodes.acl.api;

import br.gov.datasus.scodes.acl.model.dto.EsferaAtuacaoDTO;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;

@RequestMapping(value = "/esfera")
public interface EsferaApi {

    @GetMapping(value = "/usuario/{idUsuario}/sistema/{siglaSistema}/perfil/{siglaPerfil}", produces = MediaType.APPLICATION_JSON_VALUE)
    public ResponseEntity<List<EsferaAtuacaoDTO>> obterPorUsuarioSistemaPerfil(
        @PathVariable(name = "idUsuario") Long idUsuario, @PathVariable(name = "siglaSistema") String siglaSistema,
        @PathVariable(name = "siglaPerfil") String siglaPerfil);
}
