package br.gov.datasus.scodes.acl.properties;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component
public class AppProperties {

    @Component
    @ConfigurationProperties()
    @PropertySource(value = "classpath:application.yml")
    public static class IntegracaoAutorizador {
        @Value("${integracao.autorizador.url-user-me}")
        public String urlUserInfo;
    }

    private AppProperties() {
    }

}
