package br.gov.datasus.scodes.acl.properties;

import br.gov.datasus.api.core.message.IMessageProperty;
import br.gov.datasus.api.core.message.MessageSource;

public enum MessageProperity implements IMessageProperty {
    SIGLA_PERFIL_NAO_INFORMADA("sigla.prefil-nao-informados"),
    USUARIO_PARAMETROS_NAO_INFORMADOS("usuario.parametros-nao-informados");

    private String[] args = {};

    private String key;

    private MessageProperity(String key) {
        this.key = key;
    }

    public String key() {
        return key;
    }

    public String message() {
        return MessageSource.get().message(key, args);
    }

    public IMessageProperty bind(String... args) {
        this.args = args;
        return this;
    }
}
