package br.gov.datasus.authorization.model.scpa;

import javax.persistence.*;

@Entity
@Table(name = "TB_ACL_PERFIL", schema = "DBSCODES")
public class Perfil {

	@Id
	@Column(name = "CO_SEQ_PERFIL")
	private Long id;

	@Column(name = "SG_PERFIL")
	private String sigla;

	@ManyToOne
	@JoinColumn(name = "CO_SISTEMA")
	private Sistema sistema;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getSigla() {
		return sigla;
	}

	public void setSigla(String sigla) {
		this.sigla = sigla;
	}

	public Sistema getSistema() {
		return sistema;
	}

	public void setSistema(Sistema sistema) {
		this.sistema = sistema;
	}

}
