package br.gov.datasus.authorization.model.scpa;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import org.hibernate.annotations.Where;

@Entity
@Table(name = "TB_ACL_URL_PERMITIDA", schema = "DBSCODES")
@Where(clause = "ST_REGISTRO_ATIVO = 'A'")
public class UrlPermitida {

	@Id
	@Column(name = "CO_SEQ_URL_ACL_PERMITIDA")
	private Long id;

	@Column(name = "DS_URL_ACL_PERMITIDA")
	private String url;

	@Column(name = "CO_SISTEMA")
	private Long idSistema;

	@Column(name = "ST_REGISTRO_ATIVO")
	private String registroAtivo;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getRegistroAtivo() {
		return registroAtivo;
	}

	public void setRegistroAtivo(String registroAtivo) {
		this.registroAtivo = registroAtivo;
	}

	public Long getIdSistema() {
		return idSistema;
	}

	public void setIdSistema(Long idSistema) {
		this.idSistema = idSistema;
	}

}
