package br.gov.datasus.authorization.model.scpa;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "RL_ACL_USUARIO_PERFIL_ESFERA", schema = "DBSCODES")
public class UsuarioPerfilEsfera {

	@Id
	@Column(name = "CO_SEQ_USUARIO_PERFIL_ESFERA")
	private Long id;

	@ManyToOne
	@JoinColumn(name = "CO_USUARIO_PERFIL")
	private UsuarioPerfil usuarioPerfil;

	@Column(name = "ST_USUARIO_PERFIL_ESFERA")
	private String participacao;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public UsuarioPerfil getUsuarioPerfil() {
		return usuarioPerfil;
	}

	public void setUsuarioPerfil(UsuarioPerfil usuarioPerfil) {
		this.usuarioPerfil = usuarioPerfil;
	}

	public String getParticipacao() {
		return this.participacao;
	}

	public void setParticipacao(String participacao) {
		this.participacao = participacao;
	}
}
