package br.gov.datasus.authorization.security.oauth2.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.core.task.TaskExecutor;
import org.springframework.stereotype.Service;

import br.gov.datasus.authorization.service.LogAcessoScpaService;

@Service
public class UserLogProvider {

	@Autowired
	@Qualifier("taskExecutorLog")
	private TaskExecutor taskExecutor;

	@Autowired
	private LogAcessoScpaService userLogScpaService;

	public void logUser(String ip, Long idUsuario) {
		taskExecutor.execute(new Runnable() {
			@Override
			public void run() {
				userLogScpaService.registrarLog(ip, idUsuario);
			}
		});
	}

}
