package br.gov.datasus.scodes.configuration.properties;

import br.gov.datasus.scodes.model.converter.TipoMovimentacaoTipoEnumConverter;
import br.gov.datasus.scodes.model.converter.TipoTransferenciaEnumConverter;
import org.springframework.context.annotation.Configuration;
import org.springframework.format.FormatterRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class WebMvcConfig implements WebMvcConfigurer {

    @Override
    public void addFormatters(FormatterRegistry registry) {
        registry.addConverter(new TipoMovimentacaoTipoEnumConverter());
        registry.addConverter(new TipoTransferenciaEnumConverter());
    }

}
