package br.gov.datasus.scodes.model.dto;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

@Getter
@Setter
@NoArgsConstructor
public class DoacaoDTO implements Serializable {

    private static final long serialVersionUID = 1L;
    
	private Long id;

	@NotNull
	@Size(max = 100)
	private String descricao;

    @NotNull
    @Size(max = 14)
    private String cpfCnpj;
}
