package br.gov.datasus.scodes.model.dto;

import java.util.List;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class GrupoDTO {

    private Long id;

    @NotNull
    @Size(max = 50)
    private String descricao;

    @NotNull
    @Size(max = 20)
    private String nome;

    @NotNull
    private Boolean situacaoAtivo;
    
    private List<PerfilDTO> perfis;
}
