package br.gov.datasus.scodes.model.dto;

import java.io.Serializable;

import javax.validation.constraints.*;

import lombok.Getter;
import lombok.Setter;
import lombok.NoArgsConstructor;

@Getter
@Setter
@NoArgsConstructor
public class GrupoEspecificacaoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull
    private CategoriaDTO categoria;

    @NotNull
    @Size(max = 1)
    private String codigoGrupoAnatomico;

    private Long id;

    @NotNull
    @Size(max = 100)
    private String nome;

}
