package br.gov.datasus.scodes.model.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Getter
@Setter
@NoArgsConstructor
@ApiModel
public class InventarioDTO implements Serializable {

    private static final long serialVersionUID = 1L;
    
	private Long id;

    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private String descricao;

    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
	private Date dataCadastro;

    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private Long idUsuario;

    @NotNull
    private UnidadeDispensadoraDTO unidadeDispensadora;

    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private Boolean situacaoAtivo;
}
