package br.gov.datasus.scodes.model.dto;

import java.io.Serializable;

import javax.validation.constraints.*;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class PerfilFuncionalidadeDTO implements Serializable {

    private static final long serialVersionUID = 1L;
    
    @NotNull
    private FuncionalidadeDTO funcionalidade;

    @NotNull
    private Boolean situacaoAlterar;

    @NotNull
    private Boolean situacaoCriar;

    @NotNull
    private Boolean situacaoExcluir;

    @NotNull
    private Boolean situacaoImprimir;

    @NotNull
    private Boolean situacaoPesquisar;

}
