package br.gov.datasus.scodes.model.dto;

import br.gov.datasus.scodes.model.enums.TipoPlanoSaudeEnum;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

@Getter
@Setter
@NoArgsConstructor
public class PlanoSaudeDTO {

    private Long id;

    @NotNull
    @Size(max = 50)
    private String descricao;

    @NotNull
    private TipoPlanoSaudeEnum tipo;

}
