package br.gov.datasus.scodes.model.dto;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

@Getter
@Setter
@NoArgsConstructor
public class StatusAlteracaoDataRetornoDTO implements Serializable {

    private Long id;

    @NotNull
    @Size(max = 20)
    private String descricao;

    public StatusAlteracaoDataRetornoDTO(Long id) {
        this.id = id;
    }
}
