package br.gov.datasus.scodes.model.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class UnidadeDispensadoraDTO {

    private Long id;

    @NotNull
    @Size(max = 80)
    private String descricao;

    @NotNull
    private Long numeroCapacidade;

    @NotNull
    private Boolean situacaoEstoque;

    @NotNull
    @Size(max = 1)
    private String situacaoLocalidade;

    @NotNull
    private Boolean situacaoStatus;

}
