package br.gov.datasus.scodes.model.dto.filter;

import br.gov.datasus.scodes.model.dto.StatusAlteracaoDataRetornoDTO;
import br.gov.datasus.scodes.model.entity.StatusAlteracaoDataRetorno;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Size;
import java.util.Date;

@Getter
@Setter
@NoArgsConstructor
public class AlteracaoDataRetornoFilterDTO {

    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
    private Date dataInicio;

    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
    private Date dataFim;

    private Long idStatus;

    @Size(max = 100)
    private String titulo;

}
