package br.gov.datasus.scodes.model.dto.filter;

import javax.validation.constraints.Size;

import br.gov.datasus.scodes.model.enums.TipoDocumentoEnum;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class DemandaFilterDTO {
    

    @Size(max = 50)
    private String protocolo;
    
    @Size(max = 50)
    private String processo;
    
    @Size(max = 100)
    private String nomeAutor;

    @Size(max = 100)
    private String documento;

    @Size(max = 80)
    private String nomeMae;

    private TipoDocumentoEnum tipoDocumento;

    private Long idUnidadeOrganizacional;

    private Long idTipoDemanda;

}
