package br.gov.datasus.scodes.model.dto.filter;

import br.gov.datasus.scodes.model.dto.UnidadeDispensadoraDTO;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.Set;

@Getter
@Setter
@NoArgsConstructor
public class PesquisaDRAutorDemandaReciboFilterDTO {

    @NotNull
    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE)
    private Date dataRetorno;

    private String protocolo;

    private String processo;

    private String autor;

    private Set<Long> idsUnidadesDispensadoras;

    private Long codigoTipoDemanda;

}
