package br.gov.datasus.scodes.repository;

import br.gov.datasus.api.core.dynamicquery.repository.DynamicNativeQueryRepository;
import br.gov.datasus.api.core.dynamicquery.repository.DynamicQueryRepository;
import br.gov.datasus.scodes.model.entity.AlteracaoDataRetornoProduto;
import org.springframework.data.repository.CrudRepository;

import java.util.List;
public interface AlteracaoDataRetornoProdutoRepository extends CrudRepository<AlteracaoDataRetornoProduto, Long>, DynamicQueryRepository, DynamicNativeQueryRepository {
    void deleteByAlteracaoDataRetornoId(Long id);
    List<AlteracaoDataRetornoProduto> findByAlteracaoDataRetornoId(Long id);
}
