package br.gov.datasus.scodes.repository;

import br.gov.datasus.api.core.dynamicquery.repository.DynamicNativeQueryRepository;
import br.gov.datasus.api.core.dynamicquery.repository.DynamicQueryRepository;
import br.gov.datasus.api.core.model.dto.DominioItemModel;
import br.gov.datasus.scodes.model.entity.CompraModalidade;
import org.springframework.data.repository.CrudRepository;

import java.util.List;

public interface CompraModalidadeRepository extends CrudRepository<CompraModalidade, Long>, DynamicQueryRepository, DynamicNativeQueryRepository {

    List<DominioItemModel> obterDominio();
}
