import { UnidadeOrganizacionalModel } from 'src/app/shared/models/unidade-organizacional.model';
import { TipoDemandaModel } from 'src/app/shared/models/tipo-demanda.model';
import { TipoProcessoModel } from '../../shared/models/tipo-processo.model';
import { RelatorioTecnicoModel } from '../../shared/models/relatorio-tecnico.model';
import { TipoAcaoContraModel } from '../../shared/models/tipo-acao-contra.model';
import { CidadeModel } from 'src/app/shared/models/cidade.model';

export class DemandaModel {
  id: number;
  unidadeOrganizacional: UnidadeOrganizacionalModel;
  dataEntrada: Date | string;
  dataInclusao: Date | string;
  protocolo: number;
  processo: number;
  senhaProcesso: string;
  tipoDemanda: TipoDemandaModel;
  tipoProcesso: TipoProcessoModel;
  relatorioTecnico: RelatorioTecnicoModel;
  cidade: CidadeModel;
}
