import { PesquisaDRAutorDemandaReciboFilterModel } from './pesquisa-dr-autor-demanda-recibo-filter.model';
export class PesquisaDRAutorDemandaReciboFilterBuilder {
  
  private _pesquisa = new PesquisaDRAutorDemandaReciboFilterModel();

  constructor() { }
  
  setDataRetorno(dataRetorno: Date) {
    this._pesquisa.dataRetorno = dataRetorno ? dataRetorno : null;
    return this;
  }

  setProtocolo(protocolo: string) {
    this._pesquisa.protocolo = protocolo ? protocolo : null;
    return this;
  }

  setProcesso(processo: string) {
    this._pesquisa.processo = processo ? processo : null;
    return this;
  }

  setAutor(autor: string) {
    this._pesquisa.autor = autor ? autor : null;
    return this;
  }

  setIdsUnidadesDispensadoras(idsUnidadesDispensadoras: number[]) {
    this._pesquisa.idsUnidadesDispensadoras = idsUnidadesDispensadoras;
    return this;
  }

  setCodigoTipoDemanda(codigoTipoDemanda: number) {
    this._pesquisa.codigoTipoDemanda = codigoTipoDemanda;
    return this;
  }

  build(): PesquisaDRAutorDemandaReciboFilterModel  {
    return this._pesquisa;
  }

}