import { AlteracaoDataRetornoService } from './../services/alteracao-data-retorno.service';
import { AlteracaoDataRetornoModel } from './../models/alteracao-data-retorno.model';
import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs';

@Injectable()
export class AlteracaoDataRetornoResolver implements Resolve<AlteracaoDataRetornoModel> {

  constructor(
    private alteracaoDataRetornoService: AlteracaoDataRetornoService,
  ) { }

  resolve(
    route: ActivatedRouteSnapshot
  ): Observable<AlteracaoDataRetornoModel> | Promise<AlteracaoDataRetornoModel> | AlteracaoDataRetornoModel {
    return this.alteracaoDataRetornoService.obterPorId(route.params.id);
  }

}
