import { TipoMovimentacaoModel } from '../../../shared/models/tipo-movimentacao.model';
import { CompraTrocaModel } from './compra-troca.model';
import { TransferenciaModel } from './transferencia.model';
import { DoacaoModel } from './doacao.model';
import { EntradaEstoqueItemModel } from './entrada-estoque-item.model';

export class EntradaEstoqueModel {
  id: number;
  dataEntrada: string|Date;
  idUsuario: number;
  tipoMovimentacao: TipoMovimentacaoModel;
  compraTroca?: CompraTrocaModel;
  transferencia?: TransferenciaModel;
  doacao?: DoacaoModel;
  motivo?: string;
  itens: EntradaEstoqueItemModel[];
}
