import { EspecificacaoModel } from './especificacao.model';
import { MarcaModel } from './marca.model';
import { NaturezaDespesaProdutoModel } from './natureza-despesa-produto.model';
import { ProgramaModel } from './programa.model';
import { TipoDispensacaoModel } from './tipo-dispensacao.model';
import { TipoItemModel } from './tipo-item.model';
import { TipoDemandaModel } from 'src/app/shared/models/tipo-demanda.model';

export class ItemModel {
  id?: number;
  especificacao?: EspecificacaoModel;
  codigo?: string;
  marca?: MarcaModel;
  naturezaDespesa?: NaturezaDespesaProdutoModel;
  programa: ProgramaModel;
  codigoSiafisico?: string;
  tipoDispensacao: TipoDispensacaoModel;
  tipoItem: TipoItemModel;
  descricaoSiafisico?: string;
  dataRevisadoSiafisico?: Date;
  observacao?: string;
  dataImportado: Date;
  custo?: number;
  minimoAlerta: number;
  minimoDispensacao: number;
  importado: boolean;
  tipoDemandas?: TipoDemandaModel[];
  descricao?: string;
}
