import { Injectable } from '@angular/core';
import { BaseService, DominioItemModel } from '@datasus/core';
import { Observable } from 'rxjs';

@Injectable()
export class GrupoEspecificacaoService extends BaseService {

  obterDominio(params?: number): Observable<DominioItemModel[]> {
    if (params) {
      return this.baseGet<DominioItemModel[]>(`/grupo-especificacao/dominio?categoria=${params}`);
    }
    return this.baseGet<DominioItemModel[]>(`/grupo-especificacao/dominio`);
  }
}
